summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author crocket <crockabiscuit@yahoo.com>2010-06-17 08:56:59 -0500
committer Robby Workman <rworkman@slackbuilds.org>2010-06-17 14:45:25 -0500
commitc25df027af5f47f830856f4a95bc528e790bb4f3 (patch)
tree14c43749a1e0693164cc71b83becb0073b744d6d
parentbac25796931edf79c86798d8c37fa555bcd678ef (diff)
downloadslackbuilds-c25df027af5f47f830856f4a95bc528e790bb4f3.tar.gz
slackbuilds-c25df027af5f47f830856f4a95bc528e790bb4f3.tar.xz
libraries/smartirc4net: Added (C# IRC library)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--libraries/smartirc4net/README7
-rw-r--r--libraries/smartirc4net/slack-desc19
-rw-r--r--libraries/smartirc4net/smartirc4net.SlackBuild88
-rw-r--r--libraries/smartirc4net/smartirc4net.info10
4 files changed, 124 insertions, 0 deletions
diff --git a/libraries/smartirc4net/README b/libraries/smartirc4net/README
new file mode 100644
index 0000000000..d2f09e76bf
--- /dev/null
+++ b/libraries/smartirc4net/README
@@ -0,0 +1,7 @@
+smartirc4net (C# IRC Library)
+
+SmartIrc4net is a multi-threaded and thread-safe IRC library witten in C#.
+It allows you to communicate with IRC servers. The API features full channel
+syncing and is split into 3 layers: IrcConnection, IrcCommands, and IrcClient.
+
+This requires mono.
diff --git a/libraries/smartirc4net/slack-desc b/libraries/smartirc4net/slack-desc
new file mode 100644
index 0000000000..a1129a2227
--- /dev/null
+++ b/libraries/smartirc4net/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+smartirc4net: smartirc4net (C# IRC Library)
+smartirc4net:
+smartirc4net: SmartIrc4net is a multi-threaded and thread-safe IRC library witten
+smartirc4net: in C#. It allows you to communicate with IRC servers. The API
+smartirc4net: features full channel syncing and is split into 3 layers:
+smartirc4net: IrcConnection, IrcCommands, and IrcClient.
+smartirc4net:
+smartirc4net: The website of smartirc4net is http://smartirc4net.meebey.net/
+smartirc4net:
+smartirc4net:
+smartirc4net:
diff --git a/libraries/smartirc4net/smartirc4net.SlackBuild b/libraries/smartirc4net/smartirc4net.SlackBuild
new file mode 100644
index 0000000000..92c632e023
--- /dev/null
+++ b/libraries/smartirc4net/smartirc4net.SlackBuild
@@ -0,0 +1,88 @@
+#!/bin/sh
+
+# Slackware build script for smartirc4net
+
+# Written by crocket (crockabiscuit@yahoo.com)
+
+PRGNAM=smartirc4net
+VERSION=${VERSION:-0.4.5.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --enable-static=yes \
+ --enable-shared=yes \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+# Move mono directory to /usr/lib if it's not there.
+if [ $LIBDIRSUFFIX != "" ]; then
+ mkdir -p $PKG/usr/lib
+ mv $PKG/usr/lib${LIBDIRSUFFIX}/mono $PKG/usr/lib
+fi
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ API_CHANGE CHANGELOG CREDITS FEATURES LICENSE README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/smartirc4net/smartirc4net.info b/libraries/smartirc4net/smartirc4net.info
new file mode 100644
index 0000000000..c4985c081a
--- /dev/null
+++ b/libraries/smartirc4net/smartirc4net.info
@@ -0,0 +1,10 @@
+PRGNAM="smartirc4net"
+VERSION="0.4.5.1"
+HOMEPAGE="http://smartirc4net.meebey.net/"
+DOWNLOAD="http://smuxi.meebey.net/jaws/data/files/smartirc4net-0.4.5.1.tar.gz"
+MD5SUM="a0f091d3796e6dce4c5158d973a937ee"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="crocket"
+EMAIL="crockabiscuit@yahoo.com"
+APPROVED="rworkman"